#define _WINSOCKAPI_
//---------------------------------------------------------------------------
#ifndef FingerDlgsH
#define FingerDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\Dialogs.hpp>
#include <vcl\Menus.hpp>
#include "FingCli.hpp"
#include "explbtn.hpp"
#include <vcl\Buttons.hpp>
//---------------------------------------------------------------------------
void __fastcall RunFingerTool(TForm *Owner);
bool __fastcall GetFingerHistory(TStrings *tostrings);

class TFingerDlg : public TForm
{
__published:	// IDE-managed Components
	TPanel *Panel1;
  TComboBox *Query;
	TFingerCli *FINGER;
	TSaveDialog *SaveDialog1;
	TPopupMenu *PopupMenu1;
	TMenuItem *Print1;
  TTimer *Timer1;
  TButton *FingerBtn;
  TButton *CancelBtn;
  TButton *HelpBtn;
  TRichEdit *RichEdit1;
  TLabel *Label1;
  TMenuItem *PopEditQueryListItem;
  TMenuItem *N1;
  TMenuItem *PopCopyItem;
  TMenuItem *PopSelectAllItem;
  void __fastcall CancelBtnClick(TObject *Sender);
  void __fastcall QueryChange(TObject *Sender);
  void __fastcall FingerBtnClick(TObject *Sender);
  void __fastcall FINGERDataAvailable(TObject *Sender, WORD Error);
  void __fastcall FINGERSessionConnected(TObject *Sender, WORD Error);
  void __fastcall FINGERQueryDone(TObject *Sender, WORD Error);
  void __fastcall SaveBtnClick(TObject *Sender);
  void __fastcall Print1Click(TObject *Sender);
  void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
  void __fastcall Timer1Timer(TObject *Sender);
  void __fastcall EditBtnClick(TObject *Sender);
  void __fastcall PopEditQueryListItemClick(TObject *Sender);
  void __fastcall PopupMenu1Popup(TObject *Sender);
  void __fastcall PopCopyItemClick(TObject *Sender);
  void __fastcall PopSelectAllItemClick(TObject *Sender);
	void __fastcall HelpBtnClick(TObject *Sender);
private:	// User declarations
public:	// User declarations
   int timeout;
   bool editing;
   AnsiString cap,server;
   TStrings *lines;
   TMemoryStream *results;
 	 __fastcall TFingerDlg(TComponent* Owner);
   virtual __fastcall ~TFingerDlg();
};

const AnsiString FingerHistory =
   "list@nym.alias.net,list@redneck.gacracker.org,list@nym.xg.nu,help@nym.alias.net";

   const AnsiString FingerHistoryKey = "Finger+PS+History";
const int timeoutval = 30; // seconds
//--------------------------------------------------------------------------
extern TFingerDlg *FingerDlg;
//---------------------------------------------------------------------------
#endif
